summaryrefslogtreecommitdiffstats
path: root/tests
diff options
context:
space:
mode:
authorPhil Sutter <phil@nwl.cc>2022-04-06 15:41:03 +0200
committerPhil Sutter <phil@nwl.cc>2022-04-08 16:21:20 +0200
commitf561a0ccb0524eded2f2b9160b5c97bc569cc5e4 (patch)
tree73bb8698d910f339396145e8631ab2c03bfbc947 /tests
parent75fea8a5d9048c08d7c1191cbf38cbce6c3344b8 (diff)
tests: monitor: Hide temporary file names from error output
Make error output deterministic by passing input to nft via stdin. This way error messages will contain "/dev/stdin" instead of the temporary file name. Signed-off-by: Phil Sutter <phil@nwl.cc>
Diffstat (limited to 'tests')
-rwxr-xr-xtests/monitor/run-tests.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/monitor/run-tests.sh b/tests/monitor/run-tests.sh
index ff00450b..b5ca47d9 100755
--- a/tests/monitor/run-tests.sh
+++ b/tests/monitor/run-tests.sh
@@ -74,7 +74,7 @@ monitor_run_test() {
echo "command file:"
cat $command_file
}
- $nft -f $command_file || {
+ $nft -f - <$command_file || {
err "nft command failed!"
rc=1
}
@@ -103,7 +103,7 @@ echo_run_test() {
echo "command file:"
cat $command_file
}
- $nft -nn -e -f $command_file >$echo_output || {
+ $nft -nn -e -f - <$command_file >$echo_output || {
err "nft command failed!"
rc=1
}